> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoices gross total

> Retrieve the gross total of all invoices of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml post /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices/gross-total
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices/gross-total:
    post:
      tags:
        - Invoices
      summary: Get invoices gross total
      description: Retrieve the gross total of all invoices of the specified vehicle
      operationId: getInvoicesGrossTotal
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoiceFilterItems'
      responses:
        '200':
          description: Gross total of the invoices that the filters apply to
          content:
            application/json:
              schema:
                type: object
                required:
                  - grossTotal
                properties:
                  grossTotal:
                    type: integer
                    format: int64
                    description: Gross total sum in cents
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    InvoiceFilterItems:
      type: array
      items:
        $ref: '#/components/schemas/InvoiceFilterItem'
    InvoiceFilterItem:
      type: object
      required:
        - field
        - operation
      properties:
        field:
          type: string
          description: The path to the field of the invoices to filter by
          enum:
            - invoiceDate
            - type
        operation:
          $ref: '#/components/schemas/FilterValues'
        value:
          description: >-
            Any value to filter by the given path. For `type` use one of the
            invoice types - ENERGY_FUEL_INVOICE, EXCESS_MILEAGE_INVOICE,
            PARKING_INVOICE, INSURANCE_INVOICE, REGISTRATION_INVOICE,
            ADMINISTRATION_INVOICE, CARBON_FOOTPRINT_INVOICE, MAINTENANCE,
            INSPECTION, TIRE_INVOICE, TIRE_STORAGE
    FilterValues:
      type: string
      enum:
        - IN
        - LIKE
        - NOT_LIKE
        - EQUALS
        - NOT_EQUALS
        - BEFORE
        - BEFORE_EQUALS
        - AFTER
        - AFTER_EQUALS
        - SMALLER
        - SMALLER_EQUALS
        - GREATER
        - GREATER_EQUALS
        - IS_NULL
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````